Subject: Re: [BUG] gpg.program: '~' not expanded to home directory

From: Junio C Hamano <[email-masked]>
Date: Sat, 12 Jul 2025 07:08:06 -0700

Andreas Schwab <[email-masked]> writes:

> On Jul 11 2025, Junio C Hamano wrote:
>
>> I think that is correct; I do not think gpg.program is to give a
>> path to the program, so comparison with core.excludesfile is
>> probably not so appropriate.
>>
>> It gives a command line, e.g. "mysign --compat=gnupg",
>
> gpg-interface does not use the shell to run gpg.program, so this won't
> work.

You're right.  Thanks for correcting me.

I should have gone to the code I wrote instead of answering from
what I didn't see (namely, the word "pathname") in the
documentation X-<.